Openai Images Edits
curl --request POST \
--url https://api.acedata.cloud/openai/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"image": "https://example.com/input.png",
"prompt": "Turn this photo into a Studio Ghibli style painting."
}
'import requests
url = "https://api.acedata.cloud/openai/images/edits"
payload = {
"image": "https://example.com/input.png",
"prompt": "Turn this photo into a Studio Ghibli style painting."
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'},
body: JSON.stringify({
image: 'https://example.com/input.png',
prompt: 'Turn this photo into a Studio Ghibli style painting.'
})
};
fetch('https://api.acedata.cloud/openai/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
],
"created": 123
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "forbidden",
"message": "Sorry! Our Al moderators feel your prompt might be against our community standards."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "Timeout to generate the image."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Openai Images Edits
POST
/
openai
/
images
/
edits
Openai Images Edits
curl --request POST \
--url https://api.acedata.cloud/openai/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"image": "https://example.com/input.png",
"prompt": "Turn this photo into a Studio Ghibli style painting."
}
'import requests
url = "https://api.acedata.cloud/openai/images/edits"
payload = {
"image": "https://example.com/input.png",
"prompt": "Turn this photo into a Studio Ghibli style painting."
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'},
body: JSON.stringify({
image: 'https://example.com/input.png',
prompt: 'Turn this photo into a Studio Ghibli style painting.'
})
};
fetch('https://api.acedata.cloud/openai/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
],
"created": 123
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "forbidden",
"message": "Sorry! Our Al moderators feel your prompt might be against our community standards."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "Timeout to generate the image."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autoryzacje
API token from https://platform.acedata.cloud
Nagłówki
Openai Images Edits Param Accept
Dostępne opcje:
application/json Openai Images Edits Param Content Type
Dostępne opcje:
multipart/form-data, application/json Treść
application/jsonmultipart/form-data
Openai Images Edits Image
Przykład:
"https://example.com/input.png"
Openai Images Edits Prompt
Przykład:
"Turn this photo into a Studio Ghibli style painting."
Openai Images Edits Model
Dostępne opcje:
dall-e-2, dall-e-3, gpt-image-1, gpt-image-1.5, gpt-image-2, gpt-image-2:reverse, gpt-image-2:official, nano-banana, nano-banana-2, nano-banana-pro Openai Images Edits N
Wymagany zakres:
1 <= x <= 10Openai Images Edits Background
Dostępne opcje:
transparent, opaque, auto Openai Images Edits Input Fidelity
Dostępne opcje:
high, low Openai Images Edits Output Format
Dostępne opcje:
png, jpeg, webp Openai Images Edits Output Compression
Wymagany zakres:
0 <= x <= 100Openai Images Edits Quality
Dostępne opcje:
auto, high, medium, low, standard Openai Images Edits Size
Pattern:
^(auto|\d+x\d+)$Openai Images Edits Response Format
Dostępne opcje:
url, b64_json Openai Images Edits Callback Url
Openai Images Edits Async
Czy ta strona była pomocna?

